﻿#include <vector>
#include <map>
#include <string>
#include <ict/ict_userservice.h>
#include <tccore/item_errors.h>
#include <tc/preferences.h>
#include <bom/bom_msg.h>
#include <tccore/tc_msg.h>
#include <bom/bom.h>
#include <ics/ics.h>
#include <time.h>

#define EPM_HANDLER_COMMON
#include <epm/epm.h>
using namespace std;


#define ERROR_QRY_NOT_FOUND (EMH_USER_error_base + 120)



typedef struct {
	string ID;
}DFL_ID;


struct FLOW
{
	string timeinfo;
	string userid;
	string type;

};

struct WL_ITEM
{
	string item_id;
	string item_name;
	string item_spec;
	string item_groupCode;
	string item_unit;
	string item_sourceCode;
	string item_brand;
	string item_rev;
	string oldMateriel;
	string item_uid;
	tag_t item_tag;
	string item_type;
};
struct WL_ZJ
{
	string zi_id;
	string last_mod_date;
	string yonglian;
	string work_id;
	string chajian_id;
	string beizhu_re;
	string plmkey;
};
struct WL_BOM
{
	string fu_id;
	string fu_uid;
	vector<WL_ZJ> zjs;
};
//释放资源
#define DOFREE(obj)        \
  {            \
   if(obj)          \
   {           \
    MEM_free(obj);       \
    obj = NULL;        \
   }           \
  }


